/**
* Diapo under GPL
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/
		// include of View's getters
		public function get scroll () : SpriteX {	
			return parentCtnr.getSpx("scroll");
		}
		public function get scrollBox () : SpriteWithMask {	
			return SpriteWithMask(scroll.getSpx("box"));
		}
		public function get scrollContainer () : SpriteX {	
			return scrollBox.container;
		}
		public function get scrollMsk () : SpriteX {	
			return scrollBox.msk;
		}
		public function get scrollFrame () : SpriteX {	
			return scroll.getSpx("frame");
		}
		public function get scrollUpBar () : SpriteX {	
			return scroll.getSpx("upBar");
		}
		public function get scrollDownBar () : SpriteX {	
			return scroll.getSpx("downBar");
		}
		//scroll button in scroll up et down bar
		public function get scrollUpButton () : SpriteX {	
			return scrollUpBar.getSpx("button");
		}		
		public function get scrollDownButton () : SpriteX {	
			return scrollDownBar.getSpx("button");
		}
		// Status of scroll buttons in scroll up et down bar : out,over,press
		public function get scrollUpOut () : SpriteX {	
			return scrollUpButton.getSpx("out");
		}
		public function get scrollUpOver () : SpriteX {	
			return scrollUpButton.getSpx("over");
		}
		public function get scrollUpPress () : SpriteX {	
			return scrollUpButton.getSpx("down");
		}
		public function get scrollDownOut () : SpriteX {	
			return scrollDownButton.getSpx("out");
		}
		public function get scrollDownOver () : SpriteX {	
			return scrollDownButton.getSpx("over");
		}
		public function get scrollDownPress () : SpriteX {	
			return scrollDownButton.getSpx("down");
		}
		//
		public function get hiddenBar () : SpriteX {	
			return parentCtnr.getSpx("hiddenBar");
		}
		public function get bar () : SpriteX {	
			return parentCtnr.getSpx("bar");
		}
		public function get barBg () : SpriteX {	
			return bar.getSpx("back");		}
		
		//play pause
		/**
		* play/pause container
		* @return play/pause container
		*/
		public function get playPause () : SpriteX {	
			return bar.getSpx("playPause");
		}
		/**
		* play/pause click button
		* @return play/pause click button
		*/
		public function get playClick () : SpriteX {	
			return playPause.getSpx("click");
		}
		/**
		* play visible button
		* @return play visible button
		*/
		public function get play () : SpriteX {	
			return playPause.getSpx("play");
		}
		/**
		* Sprite "out" of play button
		* @return out state sprite of play button
		*/
		public function get playOut () : SpriteX {	
			return play.getSpx("out");
		}		
		/**
		* Sprite "over" of play button
		* @return over state sprite of play button
		*/
		public function get playOver () : SpriteX {	
			return play.getSpx("over");
		}
		/**
		* Sprite "down" of play button
		* @return press state sprite of play button
		*/
		public function get playDown () : SpriteX {	
			return play.getSpx("down");
		}
		/**
		* pause visible button
		* @return pause visible button
		*/
		public function get pause () : SpriteX {	
			return playPause.getSpx("pause");
		}		
		/**
		* Sprite "out" of pause
		* @return out state sprite of pause button
		*/
		public function get pauseOut () : SpriteX {	
			return pause.getSpx("out");
		}
		/**
		* Sprite "over" of pause
		* @return over 
		*/
		public function get pauseOver () : SpriteX {	
			return pause.getSpx("over");
		}
		/**
		* Sprite "down" of pause
		* @return press state sprite of pause button
		*/
		public function get pauseDown () : SpriteX {	
			return pause.getSpx("down");
		}
		// fullScreen
		/**
		* fullscreen buttons container
		* @return fullscreen button container
		*/
		public function get fullScreen () : SpriteX {	
			return bar.getSpx("fullScreen");
		}
		/**
		* fullscreen click button
		* @return fullscreen click button
		*/
		public function get fullScreenClick () : SpriteX {	
			return fullScreen.getSpx("click");
		}
		/**
		* fullscreen visible button
		* @return fullscreen visible button
		*/
		public function get fullScreenOn () : SpriteX {	
			return fullScreen.getSpx("on");
		}
		/**
		* Sprite "out" of fullscreen button
		* @return out state sprite of fullscreen button
		*/
		public function get fullScreenOnOut () : SpriteX {	
			return fullScreenOn.getSpx("out");
		}		
		/**
		* Sprite "over" of fullscreen button
		* @return over state sprite of fullscreen button
		*/
		public function get fullScreenOnOver () : SpriteX {	
			return fullScreenOn.getSpx("over");
		}
		/**
		* Sprite "down" of fullscreen button
		* @return press state sprite of fullscreen button
		*/
		public function get fullScreenOnDown () : SpriteX {	
			return fullScreenOn.getSpx("down");
		}
		/**
		* normal screen visible button
		* @return normal screen visible button
		*/
		public function get fullScreenOff () : SpriteX {	
			return fullScreen.getSpx("off");
		}		
		/**
		* Sprite "out" of normal screen button
		* @return out state sprite of normal screen button
		*/
		public function get fullScreenOffOut () : SpriteX {	
			return fullScreenOff.getSpx("out");
		}
		/**
		* Sprite "over" of normal screen button
		* @return over state sprite of normal screen button
		*/
		public function get fullScreenOffOver () : SpriteX {	
			return fullScreenOff.getSpx("over");
		}
		/**
		* Sprite "down" of normal screen button
		* @return press state sprite of normal screen button
		*/
		public function get fullScreenOffDown () : SpriteX {	
			return fullScreenOff.getSpx("down");
		}
		// prev/next buttons
		public function get prev () : SpriteX {	
			return bar.getSpx("prev");
		}
		public function get prevOut () : SpriteX {	
			return prev.getSpx("out");
		}
		public function get prevOver () : SpriteX {	
			return prev.getSpx("over");
		}
		public function get next () : SpriteX {	
			return bar.getSpx("next");
		}
		public function get nextOut () : SpriteX {	
			return next.getSpx("out");
		}
		public function get nextOver () : SpriteX {	
			return next.getSpx("over");
		}
		
		// pins
		/**
		* bar pins on/off buttons container
		* @return bar pins on/off button container
		*/
		public function get pins () : SpriteX {	
			return bar.getSpx("pins");
		}
		/**
		* bar pins on/off click button
		* @return bar pins on/off click button
		*/
		public function get pinsClick () : SpriteX {	
			return pins.getSpx("click");
		}
		/**
		* bar pins on/off visible button
		* @return bar pins on/off visible button
		*/
		public function get pinsOn () : SpriteX {	
			return pins.getSpx("on");
		}
		/**
		* Sprite "out" of bar pins on/off button
		* @return out state sprite of bar pins on/off button
		*/
		public function get pinsOnOut () : SpriteX {	
			return pinsOn.getSpx("out");
		}		
		/**
		* Sprite "over" of bar pins on/off button
		* @return over state sprite of bar pins on/off button
		*/
		public function get pinsOnOver () : SpriteX {	
			return pinsOn.getSpx("over");
		}
		/**
		* Sprite "down" of bar pins on/off button
		* @return press state sprite of bar pins on/off button
		*/
		public function get pinsOnDown () : SpriteX {	
			return pinsOn.getSpx("down");
		}
		/**
		* normal screen visible button
		* @return normal screen visible button
		*/
		public function get pinsOff () : SpriteX {	
			return pins.getSpx("off");
		}		
		/**
		* Sprite "out" of normal screen button
		* @return out state sprite of normal screen button
		*/
		public function get pinsOffOut () : SpriteX {	
			return pinsOff.getSpx("out");
		}
		/**
		* Sprite "over" of normal screen button
		* @return over state sprite of normal screen button
		*/
		public function get pinsOffOver () : SpriteX {	
			return pinsOff.getSpx("over");
		}
		/**
		* Sprite "down" of normal screen button
		* @return press state sprite of normal screen button
		*/
		public function get pinsOffDown () : SpriteX {	
			return pinsOff.getSpx("down");
		}
		// vertical double lines
		public function get verti01 () : SpriteX {	
			return bar.getSpx("verti01"); 
		}
		public function get verti02 () : SpriteX {	
			return bar.getSpx("verti02"); 
		}
		public function get verti03 () : SpriteX {	
			return bar.getSpx("verti03"); 
		}
		public function get verti04 () : SpriteX {	
			return bar.getSpx("verti04"); 
		}
		public function get openClose () : SpriteX {	
			return parentCtnr.getSpx("openClose");
		}
		public function get openScroll () : SpriteX {	
			return openClose.getSpx("open");
		}
		public function get closeScroll () : SpriteX {	
			return openClose.getSpx("close");
		}