﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/  
package net.flash_line.as3.util {	 
	import flash.display.DisplayObjectContainer ;
	import net.flash_line.as3.util.common.SpriteX ;
	import net.flash_line.as3.util.global.* ;
	
	/**
	* Super class for shape drawn in sprite
	* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
	* @link http://www.flash-line.net
	*/ 
	public class  Graph  extends SpriteX {			
			/**
			* Input width
			*/
			protected		var pW			: Number		;	// 
			/**
			* Input height
			*/
			protected		var pH			: Number		; 	// input height
			/**
			* Input color fill
			*/
			protected		var pCf			: Number		;	// 
			/**
			* Input Alpha fill
			*/
			protected		var pAf			: Number		; 	//
			/**
			* Input color line
			*/
			protected		var pCl			: Number		;	//
			/**
			* Input  Alpha line
			*/
			protected		var pAl			: Number		; 	//
			
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	cf		fill color
		* @param	af		fill alpha
		* @param	cl		line color
		* @param	al		line alpha
		*/
		public function Graph	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,h:Number=100,cf:Number=0xffffff,af:Number=1,cl:Number=0,al:Number=1) {		
			super (ctnr, vx, vy, 1) 	
			alert("classe bis");
			setClassInfo("Graph",this);			
			pW			= w			;
			pH			= h			;
			pCf			= cf		;
			pAf			= af		;
			pCl			= cl		;			
			pAl			= al		;	
		}
		/**
		* @private
		* create an invisible -alpha=0- one pixel graph because when a sprite is empty some bugs happen !!
		*/
		public function init() {
			graphics.beginFill(0,0);
			graphics.drawRect(0,0,1,1);
			
		}
		
	}
}