﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.common {	
	import flash.display.DisplayObjectContainer ;
	/**
	* Global doesn't exist any more in AS3 ...Well
	* <p>So the class Var contains public static vars
	* which are accessible from every where and concern
	* the global vars of one application.</p>
	*/
	dynamic public class Var  {
		/**
		* Appli version number
		*/
		static public var version:String;	
		/**
		* Appli name
		*/
		static public var appliName:String;	
		/**
		* Appli standard font
		*/
		static public var font:String="Verdana";	
		/**
		* Appli standard font size
		*/
		static public var size:Number=12;	
		/**
		* Appli root DisplayObjectContainer
		*/
		static public var parent:DisplayObjectContainer;
		/**
		* if true errors are not displayed - other tests may use debug var
		*/
		static public var debug:Boolean;
		
		
	}
	
}