﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.contextHelp.custom {	
	import net.flash_line.as3.util.contextHelp.RightClic;
	import net.flash_line.as3.util.common.SpriteX;
	import flash.net.URLRequest ;
	import flash.net.navigateToURL ;
	/**
	* Create Flv RightClic 
	* <p>These class is similar to WhoRightClic
	* @see WhoRightClic
	*/
	public class FlvRightClic { 	
		/**
		* constructor
		* @param	mc		The sprite where user will do right clic
		* @param	appli	Appli name + version #
		*/
		public function FlvRightClic (mc:SpriteX,appli:String) {
			var url1:URLRequest = new URLRequest("http://www.flash-line.net");
			var f1:Function=function(){ navigateToURL (url1,"_blank") ; }
			var url2:URLRequest = new URLRequest("http://www.creatyx.com/teamflashstudio/");
			var f2:Function=function(){ navigateToURL (url2,"_blank") ; }
			//var f1:Function=function(){alert("toto");}
			new RightClic(mc,[
									{caption:appli,enabled:false},
									{caption:"Programmation : Flash-line.net",handler:f1} ,
									{caption:"Graphisme : TeamFlashStudio",handler:f2}
									
								]
							);
		}
  	}
	
}
