﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {		
	import flash.display.DisplayObjectContainer ;
	/**
	* Instance a sprite with an horizontal double line - 2 colors possible
	*/
	public class  Hline  extends Graph {
		private var pC1:Number;
		private var pC2:Number;
			
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	c1		color first line
		* @param	c2		color second line
		*/
		public function Hline	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,c1:Number=0xffffff,c2:Number=0,al:Number=1,vName:String="") {			
			super (ctnr,vx,vy,w,1,0,0,0,al) ;				
			name=vName;
			pC1=c1;
			pC2=c2;
			setClassInfo("Hline",this);
			create();
		}
	   /**
		* create form
		*/
		private function create() {
			graphics.lineStyle(1,pC1);
			graphics.moveTo(0,0);
			graphics.lineTo(pW,0);
			graphics.endFill();
			graphics.lineStyle(1,pC2);
			graphics.moveTo(0,1);
			graphics.lineTo(pW,1);
			//
			this.alpha=pAl;
		}		
	}
}