﻿/**
* Line arround a round rectangle form
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {	
	import flash.display.DisplayObjectContainer ;
	import net.flash_line.as3.util.common.SpriteX ;
	//
	public class  PolygonFill  extends SpriteX {
		protected		var pCf			: Number		;	// color line
		protected		var pAf			: Number		; 	// Alpha line	
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	cl		color
		* @param	al		alpha
		*/
		public function PolygonFill	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,cf:Number=0,af:Number=1) {
		
			super (ctnr,vx,vy,1) ;
			
			
			pCf			= cf		;			
			pAf			= af		;	
		}
	   
		/**
		* create form
		*/
		public function create(arr:Array) {
			graphics.beginFill(pCf,pAf) ;
			graphics.moveTo(arr[0].x,arr[0].y);
			for (var i:Number=0;i<arr.length;i++) {
				graphics.lineTo(arr[i].x,arr[i].y);
			}
			graphics.endFill();
		}
		
	}
}