﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {	
	
	import flash.display.DisplayObjectContainer ;
	/**
	* Instance a sprite with fill part of rectangle 
	*/ 
	public class  RectFill  extends Graph {
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	cf		color
		* @param	af		alpha
		* @param 	vName	name of the created sprite
		*/
		public function RectFill	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,h:Number=100,cf:Number=0xffffff,af:Number=1,vName:String="") {		
			super (ctnr,vx,vy,w,h,cf,af) ;	
			name=vName;
			create();
			setClassInfo("RectFill",this);
		}
	   /**
		* create form
		*/
		private function create() {
			graphics.beginFill(pCf);
			graphics.drawRect(0,0,pW,pH);
			this.alpha=pAf;
		}		
	}
}