﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {	
	import flash.display.DisplayObjectContainer ;
	/**
	* Instance a sprite with a rounded corner rectangle - line part only
	*/ 
	public class  RoundRectLine  extends Graph {
		private		var pCr			: Number		;	// corner radius			
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	cl		color
		* @param	al		alpha
		* @param	cr		corner radius
		* @param 	vName	name of the created sprite
		*/
		public function RoundRectLine	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,h:Number=100,cl:Number=0,al:Number=1,cr:Number=8,vName:String="",st:Number=2) {		
			super (ctnr,vx,vy,w,h,0,0,cl,al) ;	
			name=vName;
			setClassInfo("RoundRectLine",this);
			pCr=cr;
			create(st);
		}
	   
		/**
		* create form
		*/
		private function create(st:Number) {
			graphics.lineStyle(st,pCl);
			graphics.drawRoundRect(0,0,pW,pH,pCr,pCr);
			alpha=pAl;
			
		}
		
	}
}