﻿

/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/  
package net.flash_line.as3.util.graph {	 
	import flash.display.* ;
	import flash.text.* ;
	import mx.controls.* ;
	//import mx.containers.* ;
	import mx.core.* ;
	//import flash.events.* ;
	import net.flash_line.as3.util.global.* ;
	import mx.controls.Alert ;
	/**
	* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
	* @link http://www.flash-line.net
	*/ 
	public class  Xbutton  extends UIComponent {			
			/**
			* Input width
			*/
			protected		var pW			: Number		;	// 
			/**
			* Input height
			*/
			protected		var pH			: Number		; 	// input height
			/**
			* Input color fill
			*/
			protected		var pCf			: Number		;	// 
			/**
			* Input Alpha fill
			*/
			protected		var pAf			: Number		; 	//
			protected		var pS			: Shape		; 	//
			protected		var pTf			: TextField		; 	//
			protected		var pTfo		: TextFormat		; 	//
			
		/**
		* constructor
		*
		*/
		public function Xbutton	 	  (w:Number=150,h:Number=30,cf:Number=0xff0000,af:Number=1) {						
			
			pW			= w			;
			pH			= h		;
			pCf			= cf		;
			pAf			= af	;
			create();
			
		}		
		//
		//
		public function set label	(s:String):void {			
			if (pTf==null) {
				pTf=new TextField();
				pTf.width=pW;
				addChild(pTf);
				pTf.embedFonts=true;				
				pTfo= new TextFormat("stdFont",14,0,false);
				pTfo.align=TextFormatAlign.CENTER;
				pTf.defaultTextFormat = pTfo;
				pTf.x=0;pTf.y=0;
			}			
			pTf.text=s;
			pTf.setTextFormat(pTfo);
			
		}
		public function get label	 ():String {	
			if (pTf!=null) return pTf.text;
			else return "";
		}
		
		
		public function set innerWidth	 (n:Number):void {	
			pW=n;
			reDraw();
		}
		public function get innerWidth	 ():Number {	
			return pW;
		}
		public function set innerColor	 (n:Number):void {	
			pCf=n;
			reDraw();
		}
		public function get innerColor	 ():Number {	
			return pCf;
			
		}
		
		private function reDraw	 	  () :void {	
			create();
		}
		private function create	 	  ():void {						
			if (pS==null) {
				pS=new Shape();
				addChild(pS);
			}			
			pS.graphics.clear();
			pS.graphics.beginFill(pCf);
			pS.graphics.drawRect(0,0,pW,pH);
			pS.alpha=pAf;
			
		}
				
		
	}
}