﻿/**
* Static class to manage Memory
* 
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
* @version 0.0.1
*/ 
package net.flash_line.as3.util.memory {	

	public class Memo   {		
		
	
	/*
	@method returnObjectOf
	@param o parent Object
	@param id a  String
	@return an Object instance
	*/
		public static function returnObjectOf (o:Object,id:String):Object {
			if (id!=null) return o[id];
			return o;
		}	
	/*
	@method returnItemArrayOf
	@param o parent Object
	@param sn Symbol name
	@return an Array named "item" (it must exist)
	*/
		public static function returnItemArrayOf (o:Object,sn:String): Array {	
			var arr:Array=o[sn].item ;
			return arr;
		}
	/*
	@method returnObjectOfId
	@param arr an Array
	@param id Looking for id
	*/
		public static function returnObjectOfId (arr:Array,id:String) {
			var len:Number=arr.length;
			for (var i=0;i<len;i++) {
				if (id==arr[i].id) return arr[i] ;
			}
		}
	/**
	* transform elems with name=id and with a single subelem, to Array - if they wasn't yet Array before.
	* @param	o
	* @param	id
	*/
		public static function transformIdToArrayIn (o:Object,id:String)  {	
			var i:String;var o2:Object;var j:String;			
			for (i in o) {
				if (i==id) {
					if (!(o[i] is Array)) {
						o2={};
						for (j in o[i]) {
							o2[j]=o[i][j];
						}
						//
						o[i]=new Array();
						o[i].push(o2);
						o.arrayName=id;
						o[i][0].isElem=true;
					}
				}
				transformIdToArrayIn(o[i],id); // recusrsive function !
			}
		}		
	}// end class
}//end package
