﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.text {	
	import flash.display.DisplayObjectContainer ;
	import flash.text.* ;
	import net.flash_line.as3.util.common.* ;
	import net.flash_line.as3.util.global.* ;
	/**
	* Extend TextField 
	*/
	public class  InputTextField  extends TextFieldX  {
		
		
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	tc		text color
		* @param	font	font name
		* @param	size	font size
		* @param	bold	bold true/false
		* @param	embed	embed font true/false
		*/
		/**
		* 
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	tc		text color
		* @param	font	font name
		* @param	size	font size
		* @param	bold	bold true/false
		* @param	vname	name
		* @param	tfo		add-on Object with TextField properties
		*/
		public function InputTextField( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,h:Number=100,tc:Number=0x0,font:String="Verdana",size:Number=12,bold:Boolean=false,vname:String="",isPwd:Boolean=false,tfo:Object=null) {
			if (tfo==null) tfo={};
			tfo.background=true;
			tfo.type=TextFieldType.INPUT;
			tfo.multiline=false;
			if (isPwd==true) tfo.displayAsPassword=true ;
			super(ctnr,vx,vy,w,h,tc,getFont(font),size,bold,true,tfo,vname);			
			setClassInfo("InputTextField",this);
		}
		
	}
}

	