﻿/**
* Diapo under GPL
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.diapo.fromFolder {	
	import net.flash_line.as3.util.common.*;
	import net.flash_line.as3.util.global.*;
	//
		
	/**
	* Images's Model Array 
	*/
	public dynamic class ModelArray extends ArrayX {
		
		private var pFolderOnly:Boolean; 
	
		/**
		* constructor
		*/
		public function ModelArray () {
			setClassInfo("ModelArray",this);
		}
		/**
		* Flag true if imageList contains only folders
		*/
		public function get folderOnly ():Boolean{
			return pFolderOnly;
		}
		
		
		/**
		* Create images list
		* @param	arr			images array
		* @param	folderStack	current folders path
		*/
		public function create (arr:Array,folderStack) {
			for (var i:Number=0;i<arr.length;i++) {
				if (arr[i].type=="folder") {
					if (folderStack.length<2 && arr[i].name==".." ) continue ;
					var om:OneModel=new OneModel();
					om.create(arr[i],length);
					this.push(om);	
				}
			}
			pFolderOnly=true;
			for (var i:Number=0;i<arr.length;i++) {
				if (arr[i].type!="folder") {					
					var om:OneModel=new OneModel();
					om.create(arr[i],length);
					this.push(om);	
					pFolderOnly=false;
				}
			}
		}
		
	}//End of Class ModelArray
}

