﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.common {	
	/**
	* The class Instance contains a public static stack with all instancied classes of application
	* <p>May be used to debug</p>
	* @see Super#setClassInfo()
	* @see SpriteX#setClassInfo()
	*/ 
	public class Instance  {
		/**
		* The Array which will contain all instancied classes of application		
		*/
		static public var stk:Array=[];	
		/**
		* Push the instance in the instances stack
		* @param	o instance
		* @return	total number of instances
		*/
		static public function push (o:Object) :Number{
			stk.push(o);
			return stk.length;
		}
	}
	
}