﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.contextHelp.custom {	
	import flash.display.Sprite;
	import net.flash_line.as3.util.contextHelp.RightClic;
	import net.flash_line.as3.util.common.SpriteX;
	import flash.net.URLRequest ;
	import flash.net.navigateToURL ;
	/**
	* Sample used to create custom/XxxRightClic classes
	* <p>These classes build a context menu with at least : "Appli name","Who does name","What she/he does","a link"</p>
	*/
	public class DiapoFtvRightClic { 	
		/**
		* constructor
		* @param	mc		The sprite where user will do right clic
		* @param	appli	Appli name + version #
		*/
		public function DiapoFtvRightClic (mc:Sprite,appli:String) {
			var url1:URLRequest = new URLRequest("http://www.flash-line.net");
			var url2:URLRequest = new URLRequest("http://www.teamflashstudio.com");
			var url3:URLRequest = new URLRequest("http://www.muchacha-agence.com/");
			var f1:Function=function(){ navigateToURL (url1,"_blank") ; }
			var f2:Function=function(){ navigateToURL (url2,"_blank") ; }
			var f3:Function=function(){ navigateToURL (url3,"_blank") ; }
			new RightClic(mc,[
									{caption:appli,enabled:false},
									{caption:"Flash|ActionScript : flash-line.net",handler:f1} ,
									{caption:"Design : teamflashstudio.com", handler:f2 } ,
									{caption:"Graphisme : Muchacha",handler:f3}
								]
							);
		}
  	}
	
}
