package net.flash_line.as3.util.global {
	
	import flash.display.DisplayObjectContainer ;
		
		/**
		* global application init - generally call as first line of first instance
		* @param	p		Root DisplayObjectContainer of application
		* @param	font	Standard font
		* @param	size	Stadard fontsize
		* @param	debug	True if debug mode
		* @param	version Application's version #
		*/
		public function appInit (p:DisplayObjectContainer,font:String="Verdana",size:Number=12,debug:Boolean=true,version:String=null) : void {			
			if (p.stage==null) createAlert(p)
			else createAlert(p.stage); // create alert win in stage - if isn't already made by a previous instancied SpriteX or MovieClipX
			assignPrototype(); // assign prototype like in AS1 	
			setGlobalVar(p,font,size,debug,version);	
		}
		
		
}
