package net.flash_line.as3.util.global {
	
	import flash.display.DisplayObject;
	import net.flash_line.as3.util.common.AlertWin;
	/**
	* return a string of a DisplayObject properties
	* @param d a display object
	* @see net.flash_line.as3.util.common.SpriteX.toString()
	*/		
		
		public function doToString(d:DisplayObject) :String {
			var str:String;
			if (d != null ) {
				if ( d is DisplayObject) {
					if (d.parent!=null) {
						str = "\nname="+d.name +"\nparent.name="+d.parent.name+"\nvisible="+d.visible + "\nalpha="+d.alpha ;
						str += "\nx=" + d.x + " y=" + d.y + "\nw=" + d.width + " h=" + d.height + "\ndepth=" + d.parent.getChildIndex(d);
					} else {
						str = "\nname="+d.name +"\nvisible="+d.visible + "\nalpha="+d.alpha ;
						str += "\nx=" + d.x + " y=" + d.y + "\nw=" + d.width + " h=" + d.height ;
					}
				} else {
					str = "Not a DisplayObject !";
				}
			} else {
				str = "null";
			}		
			return str;
		}		
		
		
		
		
}
