/**
* set application's styles of components
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.global {
	
	import flash.text.TextFormat;
	import 	fl.managers.StyleManager;
	
/**
* set styles for all components
* The caller may be any kind of classes
* USE ONLY IF COMPONENT(s) EXIST !!!
*/		
		
		public function setCompoStyle (font:String="Verdana",size:Number=12,bold:Boolean=false) {
			if (font!=null) {
				var fmt:TextFormat = new TextFormat();
				fmt.font = font;
				fmt.size = size;
				fmt.bold = bold;
				StyleManager.setStyle ("textFormat",fmt);
			} else {
				StyleManager.clearStyle("textFormat");    
			}
		}
		
}