﻿/**
* Line arround a round rectangle form
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {	
	import flash.display.DisplayObjectContainer ;
	import net.flash_line.as3.util.common.SpriteX ;
	//
	public class  PolygonLine  extends SpriteX {
		protected		var pCl			: Number		;	// color line
		protected		var pAl			: Number		; 	// Alpha line	
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	cl		color
		* @param	al		alpha
		*/
		public function PolygonLine	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,cl:Number=0,al:Number=1) {
		
			super (ctnr,vx,vy,1) ;
			
			setClassInfo("PolygonLine",this);
			pCl			= cl		;			
			pAl			= al		;	
		}
	   
		/**
		* create form
		*/
		public function create(arr:Array) {
			graphics.lineStyle(1,pCl);
			graphics.moveTo(arr[0].x,arr[0].y);
			for (var i:Number=0;i<arr.length;i++) {
				graphics.lineTo(arr[i].x,arr[i].y);
			}
			graphics.endFill();
			this.alpha=pAl;
		}
		
	}
}