﻿/**
* @author Jean-Michel Delettre © (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.graph {		
	import flash.display.DisplayObjectContainer ;
	/**
	* Instance a sprite with a rounded corner rectangle - fill part only
	*/ 
	public class  RoundRectFill  extends Graph {
		private		var pCr			: Number		;	// corner radius
			
		/**
		* constructor
		* @param	ctnr	Container parent
		* @param	vx		x pos
		* @param	vy		y pos
		* @param	w		width
		* @param	h		height
		* @param	cf		color
		* @param	af		alpha
		* @param	cr		corner radius
		*/
		public function RoundRectFill	 	  ( ctnr:DisplayObjectContainer,vx:Number=0,vy:Number=0,w:Number=100,h:Number=100,cf:Number=0xffffff,af:Number=1,cr:Number=8) {		
			super (ctnr,vx,vy,w,h,cf,af) ;			
			pCr=cr;
			create();
			setClassInfo("RoundRectFill",this);
		}
	   /**
		* create form
		*/
		private function create() {
			graphics.beginFill(pCf);
			graphics.drawRoundRect(0,0,pW,pH,pCr,pCr);
			this.alpha=pAf;
		}		
	}
}