﻿/**
* Button events manager
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.ui {	
	
	import flash.display.Sprite ;
	import flash.events.Event ;
	import net.flash_line.as3.util.common.*;
	import net.flash_line.as3.util.event.Delegate;
	import net.flash_line.as3.util.graph.RoundRectFill;
	//	
	public class  ButtonMng2  extends Super {
			protected		var pMc			: Sprite		;	
			protected		var pOverMc		: SpriteX		;	
			
			
		/**
		* constructor
		* @param	
		*/
		
		public function ButtonMng2 (mc:Sprite) { 
			pMc=mc;				
			pOverMc=new RoundRectFill(pMc,8,4,pMc.width*.7,pMc.height*.6,0,0,12);
			createEvent();
			
		}
		
		public function createEvent() {			
			pMc.addEventListener("rollOver",fOver);
			pMc.addEventListener("rollOut",fOut);		
			pMc.addEventListener("mouseDown",fDown);
			pMc.addEventListener("click",fClick);
		}
		public function remove() {			
			pMc.removeEventListener("rollOver",fOver);
			pMc.removeEventListener("rollOut",fOut);		
			pMc.removeEventListener("mouseDown",fDown);
			pMc.removeEventListener("click",fClick);
			pOverMc.remove();
		}
		private function fOver(e:Event) {
			pOverMc.alpha=.08;
		}
		private function fOut(e:Event) {
			pOverMc.alpha=0;
		}
		private function fDown (e:Event) {
			pOverMc.alpha=0;
		}
		private function fClick(e:Event) {
			pOverMc.alpha=0;
		}
		
	}
}

