﻿/**
* Manage a  standard horizontal menu - 
* @see MenuH and MenuV classes in same package
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.ui.menu {	
	//
	//import flash.display.* ;
	//import flash.events.Event ;
	//import net.flash_line.as3.util.event.*;
	import net.flash_line.as3.util.common.SpriteX;
	import net.flash_line.as3.util.global.*;
	//	
	public class  MenuH  extends SpriteX {
		var pArr:Array;
		var pFont:String;
		var pFontSize:Number;
		var pAlign:String;
		var pWidth:Number;
		var pSpace:Number;
		var pColor:Number;
		var pPaddingTop:Number;
		public function MenuH (ctnr:Menu,o:Object,font:String,fontSize:*=null) { 			
			super(ctnr);
			pFont=font;
			pFontSize=fontSize;
			if (isNumSet(o.fontSize)) pFontSize=N(o.fontSize);
			if (isStrSet(o.align)) pAlign=o.align;
			if (isStrSet(o.width)) pWidth=N(o.width);
			if (isStrSet(o.space)) pSpace=N(o.space);
			if (isStrSet(o.hColor)) pColor = N(o.hColor);	
			if (isStrSet(o.hPaddingTop)) pPaddingTop = N(o.hPaddingTop);	
			
			pArr = o.elem;
			setClassInfo("MenuH",this);
			create(pArr);
		}
		// get/set
		public function get font ():String {
			return pFont;
		}
		public function get fontSize ():Number {
			return pFontSize;
		}
			public function set font (s:String) {
			pFont=s;
		}
		public function set fontSize (n:*) {
			pFontSize=N(n);
		}
		//
		
		
		public function create (arr:Array) { 				
			if (pArr == null) pArr = arr;			
			var len:Number=pArr.length;
			var currX=0;
			for (var i=0;i<len;i++) {
				var o:Object=pArr[i];				
				var spx:SpriteX=new MenuH_elem(this,o,font,fontSize,pAlign,pWidth,pColor,pPaddingTop);				
				pArr[i].elemSpx=spx;
				spx.x=currX;
				currX+=spx.width+pSpace;
			}
		}
		//
		//private methods
		//
		
		
		
	}
}

		