﻿/**
* Manage a  standard Horizontal menu  element ( interactive label)- 
* @see MenuElem and MenuV_elem classes in same package
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.ui.menu {	
	//
	//import flash.display.* ;
	//import flash.events.Event ;
	//import net.flash_line.as3.util.event.*;
	import net.flash_line.as3.util.common.SpriteX;
	import net.flash_line.as3.util.global.*;
	import net.flash_line.as3.util.graph.*;
	import net.flash_line.as3.util.text.TextFieldX;
	import flash.text.AntiAliasType ;
	import flash.text.GridFitType ;
	
	//	
	public class  MenuH_elem  extends MenuElem {
		
		
		var pPaddingTop:Number;		
		public function MenuH_elem (ctnr:SpriteX,o:Object,font:String,fontSize:Number,align:String="center",w:Number=100,c:Number=0,paddingTop:Number=0) { 			
			super(ctnr,o,font,fontSize,c);			
			pAlign=align;					
			setClassInfo("MenuH_elem",this);
			pAlign = align;
			pPaddingTop = paddingTop;
			pWidth=w;
			create(pObj);
		}
		
		
		
		override public function create (o:Object) { 				
			if (pObj==null) pObj=o;			
			pLabel=pObj.label;
			pShortCut = pObj.shortCut;
			// create empty skin
			pSkinSpx=new SpriteX(this,0,0,1);
			// create empty over skin
			pOverSpx=new SpriteX(this,0,0,1);
			// create text	
			var tn:Number = 50;
			var sn:Number = -160 ;			
			pTfx = new TextFieldX(this, 0, pPaddingTop, pWidth, 20, color, font, fontSize, false, true,{antiAliasType:flash.text.AntiAliasType.ADVANCED,gridFitType:GridFitType.PIXEL,thickness:tn,sharpness:sn });			
			pTfx.setText(pLabel, { align:pAlign } );
			// create interactive zone
			pActiv=new RectFill(this,0,pPaddingTop,pWidth,20,0,0);
			// specific visio geslab : pActiv=new RoundRectFill(this,8,4,pWidth-6,18,0,0,12);
				 	 
			createEvent();
		}
		
		
		
		
	}
}

		