﻿/**
* Manage a  standard menu element ( interactive label)- 
* @see MenuElem and MenuV classes in same package
* @author Jean-Michel Delettre (jm.delettre@flash-line.net)
* @link http://www.flash-line.net
*/ 
package net.flash_line.as3.util.ui.menu {	
	//
	//import flash.display.* ;
	//import flash.events.Event ;
	//import net.flash_line.as3.util.event.*;
	import net.flash_line.as3.util.common.SpriteX;
	import net.flash_line.as3.util.global.*;
	import net.flash_line.as3.util.graph.*;
	import net.flash_line.as3.util.text.TextFieldX;
	import flash.text.AntiAliasType ;
	import flash.text.GridFitType ;
	//	
	public class  MenuV_elem  extends MenuElem {
		var pPaddingTop:Number;	
		public function MenuV_elem (ctnr:SpriteX,o:Object,font:String,fontSize:Number,c:Number=0,align:String="left",width:Number=30,paddingTop:Number=0 ) { 			
			super(ctnr, o, font, fontSize, c);	
			pAlign = align;
			pPaddingTop = paddingTop;
			pWidth = width;
			setClassInfo("MenuV_elem",this);
			create(pObj);
		}
		// get/set
		
			
		//
		public function disable () { 
			pTfx.textColor=color-0x555555;
			removeEvent();
		}
		public function enable () { 
			pTfx.textColor=color;
			createEvent();
		}
		
		override public function create (o:Object) { 				
			if (pObj==null) pObj=o;			
			pLabel=pObj.label;
			pShortCut=pObj.shortCut;
			// create empty skin
			pSkinSpx = new SpriteX(this, 0, 0, 1);
			// create empty over skin
			pOverSpx=new SpriteX(this,0,0,1);
			// create text	
			var tn:Number = 50;
			var sn:Number = -160 ;
			if (pAlign.toLowerCase()!="center") {
				pTfx = new TextFieldX(this, 0, pPaddingTop, pWidth, 20, color, font, fontSize, false, true, {autoSize:pAlign, antiAliasType:flash.text.AntiAliasType.ADVANCED,gridFitType:GridFitType.PIXEL,thickness:tn,sharpness:sn });
				pTfx.setText(pLabel);
			} else {
				pTfx = new TextFieldX(this, 0, pPaddingTop, pWidth, 20, color, font, fontSize, false, true ,{antiAliasType:flash.text.AntiAliasType.ADVANCED,gridFitType:GridFitType.PIXEL,thickness:tn,sharpness:sn } );
				pTfx.setText(pLabel, { align:pAlign } );
			}
			// create interactive zone
			pActiv=new RectFill(this,0,0,pTfx.width,20,0,0);
			createEvent();
		}
		//
		//private methods
		//
		
	}
}

		